<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/card/user_vertical_card/init.jsp" %>

<%@ include file="/card/vertical_card/start.jspf" %>

<c:choose>
	<c:when test="<%= Validator.isNotNull(portraitURL) %>">
		<aui:a href="<%= url %>">
			<div class="aspect-ratio aspect-ratio-bg-center aspect-ratio-bg-cover" style="background-image: url('<%= portraitURL %>')">
				<img alt="" class="sr-only" src="<%= portraitURL %>" />
			</div>
		</aui:a>
	</c:when>
	<c:otherwise>
		<div class="aspect-ratio aspect-ratio-bg-center aspect-ratio-bg-cover <%= colorCssClass %>">
			<span class="icon-xl user-vertical-card-initials"><%= userInitials %></span>
		</div>
	</c:otherwise>
</c:choose>

<%@ include file="/card/vertical_card/end.jspf" %>