<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<liferay-portlet:actionURL portletConfiguration="<%= true %>" var="configurationActionURL" />

<aui:form action="<%= configurationActionURL %>" cssClass="container-fluid-1280" method="post" name="fm">
	<aui:input name="<%= Constants.CMD %>" type="hidden" value="<%= Constants.UPDATE %>" />

	<div class="portlet-configuration-body-content">
		<div class="container-fluid-1280">
			<liferay-ui:tabs
				names='<%= "user-settings,display-settings,rss" %>'
				param="tabs2"
				refresh="<%= false %>"
				type="tabs nav-tabs-default"
			>
				<liferay-ui:section>
					<%@ include file="/configuration/user_settings.jspf" %>
				</liferay-ui:section>

				<liferay-ui:section>
					<%@ include file="/configuration/display_settings.jspf" %>
				</liferay-ui:section>

				<liferay-ui:section>
					<%@ include file="/configuration/rss.jspf" %>
				</liferay-ui:section>
			</liferay-ui:tabs>
		</div>
	</div>

	<aui:button-row>
		<aui:button cssClass="btn-lg" type="submit" />
	</aui:button-row>
</aui:form>