<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/message_boards/init.jsp" %>

<%
String navItemSelected = ParamUtil.getString(request, "navItemSelected");
%>

<aui:nav cssClass="navbar-nav">

	<%
	PortletURL messageBoardsHomeURL = renderResponse.createRenderURL();

	messageBoardsHomeURL.setParameter("mvcRenderCommandName", "/message_boards/view");
	messageBoardsHomeURL.setParameter("tag", StringPool.BLANK);
	%>

	<aui:nav-item
		href="<%= messageBoardsHomeURL.toString() %>"
		label="threads"
		selected='<%= navItemSelected.equals("threads") %>'
	/>

	<%
	PortletURL viewStatisticsURL = renderResponse.createRenderURL();

	viewStatisticsURL.setParameter("mvcRenderCommandName", "/message_boards/view_statistics");
	%>

	<aui:nav-item
		href="<%= viewStatisticsURL.toString() %>"
		label="statistics"
		selected='<%= navItemSelected.equals("statistics") %>'
	/>

	<%
	PortletURL bannedUsersURL = renderResponse.createRenderURL();

	bannedUsersURL.setParameter("mvcRenderCommandName", "/message_boards/view_banned_users");
	%>

	<aui:nav-item
		href="<%= bannedUsersURL.toString() %>"
		label="banned-users"
		selected='<%= navItemSelected.equals("banned-users") %>'
	/>
</aui:nav>