<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/html/taglib/portlet/icon_options/init.jsp" %>

<liferay-ui:icon-menu
	cssClass="portlet-options"
	direction="<%= direction %>"
	extended="<%= false %>"
	icon="ellipsis-v"
	markupView="lexicon"
	message="options"
	showArrow="<%= false %>"
	showWhenSingleIcon="<%= true %>"
	triggerCssClass="icon-monospaced"
>

	<%
	for (PortletConfigurationIcon portletConfigurationIcon : portletConfigurationIcons) {
		boolean include = portletConfigurationIcon.include(request, new PipingServletResponse(pageContext));

		if (!include) {
	%>

			<liferay-ui:icon
				alt="<%= portletConfigurationIcon.getAlt() %>"
				ariaRole="<%= portletConfigurationIcon.getAriaRole() %>"
				cssClass="<%= portletConfigurationIcon.getCssClass() %>"
				data="<%= portletConfigurationIcon.getData() %>"
				iconCssClass="<%= portletConfigurationIcon.getIconCssClass() %>"
				id="<%= portletConfigurationIcon.getId() %>"
				image="<%= portletConfigurationIcon.getImage() %>"
				imageHover="<%= portletConfigurationIcon.getImageHover() %>"
				label="<%= portletConfigurationIcon.isLabel() %>"
				lang="<%= portletConfigurationIcon.getLang() %>"
				linkCssClass="<%= portletConfigurationIcon.getLinkCssClass() %>"
				localizeMessage="<%= false %>"
				message="<%= portletConfigurationIcon.getMessage(portletRequest) %>"
				method="<%= portletConfigurationIcon.getMethod() %>"
				onClick="<%= portletConfigurationIcon.getOnClick(portletRequest, portletResponse) %>"
				src="<%= portletConfigurationIcon.getSrc() %>"
				srcHover="<%= portletConfigurationIcon.getSrcHover() %>"
				target="<%= portletConfigurationIcon.getTarget() %>"
				toolTip="<%= portletConfigurationIcon.isToolTip() %>"
				url="<%= portletConfigurationIcon.getURL(portletRequest, portletResponse) %>"
				useDialog="<%= portletConfigurationIcon.isUseDialog() %>"
			/>

	<%
		}
	}
	%>

</liferay-ui:icon-menu>