<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/html/taglib/init.jsp" %>

<%
boolean includeStaticPortlets = GetterUtil.getBoolean(request.getAttribute("liferay-ui:layout-common:includeStaticPortlets"));
boolean includeWebServerDisplayNode = GetterUtil.getBoolean(request.getAttribute("liferay-ui:layout-common:includeWebServerDisplayNode"));
%>

<c:if test="<%= includeStaticPortlets %>">

	<%
	for (String portletId : PropsValues.LAYOUT_STATIC_PORTLETS_ALL) {
		if (PortletLocalServiceUtil.hasPortlet(company.getCompanyId(), portletId)) {
	%>

			<liferay-portlet:runtime portletName="<%= portletId %>" />

	<%
		}
	}
	%>

</c:if>

<c:if test="<%= includeWebServerDisplayNode %>">
	<div class="alert alert-info">
		<liferay-ui:message key="node" />: <%= StringUtil.toLowerCase(PortalUtil.getComputerName()) + StringPool.COLON + PortalUtil.getPortalLocalPort(false) %>
	</div>
</c:if>

<form action="#" id="hrefFm" method="post" name="hrefFm">
	<span></span>
</form>