<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/html/taglib/init.jsp" %>

<%
String key = (String)request.getAttribute("liferay-ui:success:key");
String message = (String)request.getAttribute("liferay-ui:success:message");
String targetNode = (String)request.getAttribute("liferay-ui:success:targetNode");
int timeout = GetterUtil.getInteger(request.getAttribute("liferay-ui:success:timeout"));
boolean translateMessage = GetterUtil.getBoolean((String)request.getAttribute("liferay-ui:success:translateMessage"));

String bodyContentString = StringPool.BLANK;

Object bodyContent = request.getAttribute("liferay-ui:success:bodyContent");

if (bodyContent != null) {
	bodyContentString = bodyContent.toString();
}

if (Validator.isNotNull(bodyContentString)) {
	message = bodyContentString;
}
else if (translateMessage) {
	message = LanguageUtil.get(resourceBundle, message);
}
%>

<c:if test="<%= ((portletRequest != null) && MultiSessionMessages.contains(portletRequest, key)) || SessionMessages.contains(request, key) %>">
	<liferay-ui:alert
		icon="check"
		message="<%= message %>"
		targetNode="<%= targetNode %>"
		timeout="<%= timeout %>"
		type="success"
	/>
</c:if>