<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
String cssClass = (String)request.getAttribute("liferay-frontend:management-bar-sidenav-toggler-button:cssClass");
Map<String, Object> data = (Map<String, Object>)request.getAttribute("liferay-frontend:management-bar-sidenav-toggler-button:data");
boolean disabled = GetterUtil.getBoolean(request.getAttribute("liferay-frontend:management-bar-sidenav-toggler-button:disabled"));
String href = (String)request.getAttribute("liferay-frontend:management-bar-sidenav-toggler-button:href");
String icon = (String)request.getAttribute("liferay-frontend:management-bar-sidenav-toggler-button:icon");
String iconCssClass = (String)request.getAttribute("liferay-frontend:management-bar-sidenav-toggler-button:iconCssClass");
String id = (String)request.getAttribute("liferay-frontend:management-bar-sidenav-toggler-button:id");
String label = (String)request.getAttribute("liferay-frontend:management-bar-sidenav-toggler-button:label");
String position = (String)request.getAttribute("liferay-frontend:management-bar-sidenav-toggler-button:position");
String type = (String)request.getAttribute("liferay-frontend:management-bar-sidenav-toggler-button:type");
String typeMobile = (String)request.getAttribute("liferay-frontend:management-bar-sidenav-toggler-button:typeMobile");
String width = (String)request.getAttribute("liferay-frontend:management-bar-sidenav-toggler-button:width");

String sidenavId = liferayPortletResponse.getNamespace() + "infoPanelId";

if (Validator.isNull(href)) {
	href = "#" + sidenavId;
}

if (Validator.isNull(position)) {
	position = "right";
}

if (Validator.isNull(type)) {
	type = "relative";
}

if (Validator.isNull(typeMobile)) {
	typeMobile = "fixed";
}

if (Validator.isNull(width)) {
	width = "320px";
}
%>