<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/html/taglib/ui/alert/init.jsp" %>

<aui:script use="liferay-alert">
	new Liferay.Alert(
		{
			closeable: <%= closeable %>,
			delay: {
				hide: <%= timeout %>,
				show: 0
			},
			duration: <%= animationTime %>,
			icon: '<%= icon %>',
			message: '<%= HtmlUtil.escapeJS(message) %>',
			namespace: '<portlet:namespace />',
			title: '<%= title %>',
			type: '<%= type %>'
		}
	).render(A.one('<%= targetNode %>'));
</aui:script>