<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/html/taglib/init.jsp" %>

<%
boolean showListed = GetterUtil.getBoolean((String)request.getAttribute("liferay-ui:journal-content-search:showListed"));
String targetPortletId = (String)request.getAttribute("liferay-ui:journal-content-search:targetPortletId");

PortletPreferences defaultPortletPreferences = PortletPreferencesFactoryUtil.fromDefaultXML(PortletConstants.DEFAULT_PREFERENCES);

defaultPortletPreferences.setValue("showListed", String.valueOf(showListed));
defaultPortletPreferences.setValue("targetPortletId", targetPortletId);
%>

<liferay-portlet:runtime
	defaultPreferences="<%= defaultPortletPreferences.toString() %>"
	portletName="com_liferay_journal_content_search_web_portlet_JournalContentSearchPortlet"
/>